%define name	bibutils
%define ver	3.12
%define rel	1
%define grp	Productivity/Publishing/TeX/Utilities
%define prefix	/usr
%define susever	9.2

Summary:	Convert bibliography formats via XML intermediate
Name:		%{name}
Version:	%{ver}
Release:	%{rel}
License:	GPL
Group:		%{grp}
Source:		http://www.scripps.edu/~cdputnam/software/bibutils/bibutils_%{ver}_src.tgz
URL:		http://www.scripps.edu/~cdputnam/software/bibutils/bibutils.html
Vendor:		Chris Putnam <cdputnam@scripps.edu>
Packager:	Volker Kuhlmann <VolkerKuhlmann@gmx.de>
Distribution:	SuSE Linux %{susever} contrib
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-%(id -u -n)
Prefix: 	%{prefix}
Autoreqprov:	on
#Summary(de):	


%description
The bibutils program set interconverts between various bibliography formats
using a common XML intermediate. For example, one can convert RIS-format files
to BibTeX by doing two transformations: RIS->XML->BibTeX.
It is likely that some conversions will need a manual tidying-up.

#%description -l de


%prep
%setup -q -n bibutils_%{version}

%build
cp -p Makefile Makefile.orig
chmod u+w Makefile
sed <Makefile.orig >Makefile \
	-e 's:^#*INSTALLDIR *=.*:INSTALLDIR=${RPM_BUILD_ROOT}%{prefix}/bin:;' \
	-e 's:^POSTFIX *=.*:POSTFIX=:;'
make

%install
test "$RPM_BUILD_ROOT" != "/" -a -d "$RPM_BUILD_ROOT" \
	&& rm -rf "$RPM_BUILD_ROOT"
mkdir -p ${RPM_BUILD_ROOT}%{prefix}/bin
make install


%clean
test "$RPM_BUILD_ROOT" != "/" -a -d "$RPM_BUILD_ROOT" \
	&& rm -rf "$RPM_BUILD_ROOT"


%files
%defattr(-,root,root)
%{prefix}/bin/*
%doc changelog.txt readme.txt


%changelog

* Sun Nov 28 2004 - Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Package available from: http://volker.dnsalias.net/soft/
- For SuSE 9.2, updated to 3.12

* Sun Aug 01 2004 - Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Package available from: http://volker.dnsalias.net/soft/
- Version 3.8 for SUSE 9.1

* Tue Nov 11 2003 - Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Package available from: http://volker.dnsalias.net/soft/
- updated to 2.12

* Sun Nov 02 2003 - Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Package available from: http://volker.dnsalias.net/soft/
- updated to 2.10

* Fri Oct 17 2003 - Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Package available from: http://volker.dnsalias.net/soft/
- updated to 2.8

* Tue Sep 30 2003 - Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Package available from: http://volker.dnsalias.net/soft/
- for SuSE 8.2
- updated to 2.7

* Sat Mar 08 2003 - Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- For SuSE 8.1
